function out = sec2hhmmss(sec)

% converts time in seconds into the hh:mm:ss format
% input is double. output is string

min = sec/60;
hour = min/60;
hh = floor(hour);
min = min - hh*60;
mm = floor(min);
sec = sec - (mm + hh*60)*60;
ss = floor(sec);
if ss < 10
    st_ss = ['0' num2str(ss)];
else
    st_ss = num2str(ss);
end
if mm < 10
    st_mm = ['0' num2str(mm)];
else
    st_mm = num2str(mm);
end
st_hh = num2str(hh);

out = [st_hh ':' st_mm ':' st_ss];